%define major   0
%define libname %mklibname deflate %{major}
%define devname %mklibname deflate -d

Name:           libdeflate
Version:        1.20
Release:        %mkrel 1
Summary:        Fast implementation of DEFLATE, gzip, and zlib
License:        MIT
Group:          System/Libraries
URL:            https://github.com/ebiggers/libdeflate
Source0:        https://github.com/ebiggers/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  cmake

%description
libdeflate is a library for fast, whole-buffer DEFLATE-based
compression and decompression, supporting DEFLATE, gzip,
and zlib.

%package -n     %{libname}
Summary:        Fast implementation of DEFLATE, gzip, and zlib
Group:          System/Libraries

%description -n %{libname}
libdeflate is a library for fast, whole-buffer DEFLATE-based
compression and decompression, supporting DEFLATE, gzip,
and zlib.

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       deflate-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

%package        utils
Summary:        Binaries from %{name}
Group:          System/Libraries
License:        MIT

%description utils
Binaries from %{name}.

%prep
%autosetup -p1

%build
%cmake -DLIBDEFLATE_BUILD_STATIC_LIB=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc NEWS.md README.md
%license COPYING
%{_libdir}/libdeflate.so.%{major}{,.*}

%files -n %{devname}
%doc NEWS.md README.md
%{_includedir}/libdeflate.h
%{_libdir}/libdeflate.so
%{_libdir}/pkgconfig/libdeflate.pc
%{_libdir}/cmake/libdeflate/

%files utils
%doc NEWS.md README.md
%{_bindir}/libdeflate-gzip
%{_bindir}/libdeflate-gunzip


%changelog
* Tue Mar 26 2024 daviddavid <daviddavid> 1.20-1.mga10
+ Revision: 2052270
- new version: 1.20

* Wed Sep 20 2023 daviddavid <daviddavid> 1.19-1.mga10
+ Revision: 1988466
- new version: 1.19

* Mon Apr 24 2023 daviddavid <daviddavid> 1.18-1.mga9
+ Revision: 1954647
- new version: 1.18

* Thu Feb 09 2023 daviddavid <daviddavid> 1.17-1.mga9
+ Revision: 1939852
- initial package libdeflate (needed for transmission)

